part of modern_form_filter;

class FilterSingleWithProfileIten extends StatelessWidget {
  final String bottomSheetLabelText;
  final String buttonText;
  final void Function() onRemove;
  final ModernFormBottomSheetProfileModel initialValue;
  final void Function() onTap;

  const FilterSingleWithProfileIten({
    Key key,
    this.bottomSheetLabelText,
    this.buttonText,
    this.onRemove,
    this.initialValue,
    this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Padding(
          padding: EdgeInsets.only(
              top: ScreenUtil().setSp(8), left: ScreenUtil().setSp(10)),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: <Widget>[
                  FilterProfileIten(
                    title: initialValue.name != null &&
                            initialValue.name.isNotEmpty
                        ? initialValue.name
                        : "Nome",
                    subTitle: initialValue?.description ?? "",
                    image: initialValue?.imageUrl ?? "",
                  ),
                  IconButton(
                    icon: Icon(Icons.close, size: ScreenUtil().setSp(20)),
                    onPressed: onRemove,
                  )
                ],
              ),
              SizedBox(height: ScreenUtil().setSp(7)),
              RaisedButton(
                child: Text(buttonText ?? ""),
                onPressed: onTap,
              ),
            ],
          ),
        ),
      ],
    );
  }
}
